it-swarm.com.de

Java-Plugin für Chrome in Ubuntu installieren

Ich habe JDK, alles funktioniert gut in Ubuntu, ich meine IDE, einige Apps, ich kann Projekte entwickeln und ausführen, aber ich habe eine Nachricht in Chrome erhalten: Java(TM) is required to display this content

Ich muss dieses Applet ausführen. Wie mache ich das? Ich muss es wegen des hier installierten GWT-Plugins in Chrome ausführen. Sollte ich einige Parameter in ein Skript einfügen, damit würde es laufen? Oder gibt es einen anderen Weg? Ich sah Links, die die Installation von Java-Plugins für Chrome unter Windows und Mac vorschlugen, nicht jedoch Linux. Vielen Dank dafür.

Ich habe einen Link zu /usr/lib/jvm/Java-7-openjdk-AMD64/jre/lib/AMD64/libnpt.so in /opt/google/chrome/plugins erstellt, es hat nicht geholfen (gut, es ist nicht libnpjp2.so, was für diesen Fall empfohlen wird, aber es ist der nächste, den ich dort gesehen habe).

Update : Ich habe libnpjp2.so auf meinem Rechner gefunden, der folgende Befehl hat geholfen: Sudo ln -s /usr/lib/jvm/jdk1.7.0_03/jre/lib/AMD64/libnpjp2.so /opt/google/chrome/plugins/

17
John Doe

Aus einer vorherigen Frage :

Ja, fügen Sie Ihrem Chrom-Befehl --enable-plugins hinzu. Es ist momentan nicht als stabil betrachtet, aber es funktioniert für mich.

Eigentlich scheint es einfach ohne das zu funktionieren. Hast du es versucht? Sie Hier finden Sie ein Test-Applet. Vermutlich benötigen Sie Suns Java Eingerichtet.

AKTUALISIEREN: Siehe den Link für weitere Details. Viele hilfreiche Antworten.

1
Osama Javed

Für die aktuelle Chrome-Version ist diese Option nicht mehr erforderlich.

Um Java-Plugin für Browser zu installieren , wenn Sie gepacktes Java verwenden, installieren Sie eines der folgenden Pakete entsprechend Ihrer Java-Version:

Sudo apt-get install icedtea6-plugin

oder

Sudo apt-get install icedtea-7-plugin

Um Ihre Version zu überprüfen, öffnen Sie ein Terminal (Befehlszeile) und geben Sie Folgendes ein:

Java -version

Java 1.6 erfordert icedtea6-plugin, Java 1.7 icedtea-7-plugin.

13

Die beste Lösung, die ich gefunden habe (keiner dieser Vorschläge hat sich für mich bewährt), lautet wie folgt: Installieren Sie zuerst Icedtead pluging von:

  1. Sudo apt-get install icedtea-7-plugin

Dann gehen Sie in Ihrem Chrome-Browser zu:

  1. chrome -> Einstellungen -> Erweiterte Einstellungen anzeigen -> Datenschutz, klicken Sie dann auf Inhaltseinstellungen -> Plug-Ins, klicken Sie dann auf Einzelne Plug-ins deaktivieren
  2. Deaktivieren Sie "IceTea-Web Plugin" und "Java (TM)".
  3. Starten Sie den Browser neu.
  4. klicken Sie auf Chrome -> Einstellungen -> Erweiterte Einstellungen anzeigen -> Datenschutz. Klicken Sie dann auf Inhaltseinstellungen -> Plug-Ins und dann auf Deaktivieren Sie das Einzel-Plug-In
  5. Nur "IceTea-Web Plugin" aktivieren
  6. Genießen !
3
Pattom Rajesh

Auf Ubuntu 13.04 x64,

Sudo apt-get install icedtea-7-plugin

funktioniert super Vielen Dank.

3
mdalacu

es gibt keine Möglichkeit, Java-Plugins auszuführen, da Chrome die Unterstützung von http://en.wikipedia.org/wiki/NPAPI Plugins stoppt

1
safright

Immer noch gut für Opera 12.16 und Ubuntu 14.04, aber es müssen beide Icedtea's installiert werden, damit Applets funktionieren

Sudo apt-get install icedtea-7-plugin icedtea-6-plugin
0
Serge